package com.nisum.mytime.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Shift;
import com.nisum.mytime.repository.ShiftRepo;
import com.nisum.mytime.service.IShiftService;

import lombok.extern.slf4j.Slf4j;

@Service
@Slf4j
public class ShiftService implements IShiftService {

	@Autowired
	private ShiftRepo shiftRepo;

	@Override
	public List<Shift> getAllShifts() throws MyTimeException {
		List<Shift> shiftsList = shiftRepo.findAll();
		log.info("The shift list details::" + shiftsList);
		return shiftsList;
	}
	
	
	
	
}
